RapidoReach Web Iframe Integration Guide
Creating your iFrame is easy and simple. You just need a page with enough space to run it on your webpage/webapp.
You’ll need to dynamically generate the Rewards Center link based on the RapidoReach UID. This ensures that every user gets the right credit for their activity. First generate the RapidoReach UID using a script on the server, and pass that to the website.
Important:
- Build UID as
internalUserId-appId-checksumwherechecksum = md5("internalUserId-appId-appKey"). - URL-encode the final UID before placing it in the
userIdquery parameter. - See Troubleshooting if you see “wrong checksum”: (UIDTroubleshooting).
- The sample values below demonstrate the math only. To verify a UID against production, use your real App ID and App Key from the publisher dashboard.
RapidoReach UID
Embed the Offerwall Reward Center
Append the dynamically generated User ID to the end of the User Greeting. userGreeting = https://www.rapidoreach.com/ofw/?userId= Example:
Join User Greeting with the RapidoReach UID:
https://www.rapidoreach.com/ofw/?userId= + 597a0ed87760ae04c29975ee-1sJ57hgit-00fec7bfa341fe9e19eb41477d6262f7
Becomes User Greeting URL:
https://www.rapidoreach.com/ofw/?userId=597a0ed87760ae04c29975ee-1sJ57hgit-00fec7bfa341fe9e19eb41477d6262f7
Enclose your User Greeting URL in the iframe tags as shown below:
<!-- Template -->
<iframe src="{{userGreetingURL}}" width="880px" height="2500px" frameborder="0" scrolling="no" name="RewardsCenter"></iframe>
<!-- Sample Iframe -->
<iframe src="https://www.rapidoreach.com/ofw/?userId=597a0ed87760ae04c29975ee-1sJ57hgit-00fec7bfa341fe9e19eb41477d6262f7" width="880px" height="2500px" frameborder="0" scrolling="no" name="RewardsCenter"></iframe>
Update offerwall color for custom branding:
